Subject: Last Issue for Base API

From: Jim Bound <[email-masked]>
Date: Thu, 24 Jan 2002 09:07:55 -0500 (EST)

Folks,

This is the last issue for the base api .  We will send in final draft for
INfo RFC annouce from the chairs.  The only change will be to add Jack
McCann as co-author to the base API current draft spec.
 
This request is out of scope for this API.  It could be an extension to
the Advanced API possibly.  

I will send in new ID and to Steve and  Bob to send ton IESG for INFO RFC
Last Call.

Thanks to the entire working group and the hard work and collaboration of
the IEEE .   This has been a longgggggggggggggg process.

/jim

> > >Date: Mon, 17 Dec 2001 09:08:32 -1000 (HST)
> > >From: Antonio Querubin <[email-masked]>
> > >To: Bob Hinden <[email-masked]>
> > >cc: <[email-masked]>
> > >Subject: Re: IPv6 w.g. Last Call on "Basic Socket Interface
> > Extensions for
> > >  IPv6"
> > >Sender: [email-masked]
> > >
> > >On Tue, 11 Dec 2001, Bob Hinden wrote:
> > >
> > > > This is a IPv6 working group last call for comments on
> > advancing the
> > > > following document as an Informational RFC:
> > > >
> > > >       Title           : Basic Socket Interface Extensions for IPv6
> > > >       Author(s)       : R. Gilligan, S. Thomson, J.
> > Bound, W. Stevens
> > > >       Filename        : draft-ietf-ipngwg-rfc2553bis-04.txt
> > > >       Pages           : 32
> > > >       Date            : 27-Nov-01
> > > >
> > > > This document will replace RFC2553 that is currently an
> > Informational
> > > > RFC.  The changes from RFC2553 are listed on pages 29 and
> > 30 of the draft.
> > > >
> > > > Please send substantive comments to the ipng mailing
> > list, and minor
> > > > editorial comments to the authors.  This last call period
> > will end two
> > > > weeks from today on December 26, 2001.
> > > >
> > > > Bob Hinden / Steve Deering
> > >
> > >This may be a bit late but I do think that the API should
> > address better
> > >compatibility with IPv4 multicast.  There was some
> > discussion earlier this
> > >year about this but no consensus was reached other than that
> > it should be
> > >fixed.
> > >
> > >The problem I think would be helped if, for the purposes of this API,
> > >section 3.7 was extended to optionally allow for a pseudo IPv4-mapped
> > >multicast address.  I'm suggesting adding two sentences to
> > paragraph 2 of
> > >section 3.7:
> > >
> > >"These addresses can be generated automatically by the getaddrinfo()
> > >function, when the specified host has only IPv4 addresses
> > (as described in
> > >Section 6.1 and 6.2).  For the purposes of this API, the
> > allowed range of
> > ><IPv4-address> may be extended beyond that defined in RFC
> > 2373 to also
> > >include multicast addresses.  The resulting mapped address should be
> > >treated as a multicast address."
> > >
> > >This addition is motivated by one of the design
> > considerations of the API:
> > >
> > >" - Where possible, applications should be able to use this
> > >      API to interoperate with both IPv6 and IPv4 hosts.
> > Applications
> > >      should not need to know which type of host they are
> > >      communicating with."
> > >
> > >And further down we have:
> > >
> > >"Because of the importance of providing IPv4 compatibility
> > in the API,
> > >these extensions are explicitly designed to operate on machines that
> > >provide complete support for both IPv4 and IPv6."
> > >
> > >
> > >
> > >
> > >

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Francis Dupont <[email-masked]>
Date: Thu, 24 Jan 2002 18:07:36 +0100

In your previous mail you wrote:

   This is the last issue for the base api ....

=> so This shan't be considered as unfair to ask that the base API
document is published "not after" the advanced API document?
(there is a current WG last call on the advanced API, basic API
seems to be ready for an IETF last call)

Thanks

[email-masked]

---

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Tue, 29 Jan 2002 02:28:19 +0900

>>>>> On Thu, 24 Jan 2002 18:07:36 +0100, 
>>>>> Francis Dupont <[email-masked]> said:

> seems to be ready for an IETF last call)

Please explain, what is your intention of this comment?

1. mapped addresses for IPv4 multicast should be described in the
   basic API.
2. mapped addresses for IPv4 multicast should be described in the
   advanced API.
3. others.

In any case, I don't think (at this moment) this is an objection to
the last call for the advanced API...in fact, I don't want to make the
advanced API spec a kitchen sink.  Though people always try to
introduce a new stuff that they think useful to an API spec, we should
fix the spec somehow at some point.  I'm willing to fix the advanced
API spec if it has a bug, but (as I said in SLC) I won't introduce a
new stuff to the API.

(However, I don't argue that we should deal with this issue in the
basic API spec.  The basic API spec should also be in the freeze
stage.  I don't even not sure if we really need this new stuff, but if
we do this, we should make a separate document IMHO.)

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------